<div class="container">
  <h1 class="section-title">Contact Us</h1>
  <div class="mat-elevation-z8">
    <form [formGroup]="contactForm" (ngSubmit)="sendMessage()">
      <mat-form-field appearance="outline">
        <mat-label>Email</mat-label>
        <input
          matInput
          formControlName="email"
          placeholder="Enter your email address."
        />
        <mat-error
          *ngIf="
            contactForm.controls.email.hasError('email') &&
            !contactForm.controls.email.hasError('required')
          "
        >
          Please enter a valid email address.
        </mat-error>
        <mat-error *ngIf="contactForm.controls.email.hasError('required')">
          Email is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Message</mat-label>
        <textarea
          formControlName="message"
          matInput
          rows="5"
          placeholder="Enter your message to us."
        ></textarea>
        <mat-error
          *ngIf="
            contactForm.controls.message.hasError('minlength') &&
            !contactForm.controls.message.hasError('required')
          "
        >
          Minimum is <strong>10 characters</strong>.
        </mat-error>
        <mat-error
          *ngIf="
            contactForm.controls.message.hasError('maxlength') &&
            !contactForm.controls.message.hasError('required')
          "
        >
          Maxiumum is <strong>1000 characters</strong>.
        </mat-error>
        <mat-error *ngIf="contactForm.controls.message.hasError('required')">
          Message is <strong>required</strong>
        </mat-error>
      </mat-form-field>
      <button mat-raised-button>SEND</button>
    </form>
  </div>
</div>
